Bug 427703 - firefox fails to print correctly international pages
firefox fails to print correctly international pages
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
pleaForReproductionFF3
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-06 17:30 EST by Nikos Charonitakis
Modified: 2008-03-25 14:20 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-25 14:20:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
http://www.ioannina.gr/content/view/48/66/lang,el/ printout (1.15 MB, application/postscript)
2008-01-06 20:22 EST, Matěj Cepl
no flags Details
wiki.gnome.gr page (150.00 KB, application/postscript)
2008-01-06 20:24 EST, Matěj Cepl
no flags Details
this prints ok (1.08 MB, application/octet-stream)
2008-01-06 21:10 EST, Nikos Charonitakis
no flags Details

  None (edit)
Description Nikos Charonitakis 2008-01-06 17:30:28 EST
Description of problem:
This was resolved back in fc6 but it appeares again.
Trying to print some web pages with Greek text leads to print scattered text
some examples (print to file to test) http://wiki.gnome.gr/doku.php
http://www.ioannina.gr/content/view/48/66/lang,el/


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matěj Cepl 2008-01-06 20:22:22 EST
Created attachment 290926 [details]
http://www.ioannina.gr/content/view/48/66/lang,el/ printout

Unfortuantely, 100% success in reproducing of this bug with
firefox-2.0.0.10-3.fc8.
Comment 2 Matěj Cepl 2008-01-06 20:24:02 EST
Created attachment 290928 [details]
wiki.gnome.gr page
Comment 4 Nikos Charonitakis 2008-01-06 21:09:32 EST
Epiphany is also affected :(

Note that in these examples that some text is printed correctly.

Also some sites print ok

example: http://www.in.gr/news/article.asp?lngEntityID=861640&lngDtrID=244
Comment 5 Nikos Charonitakis 2008-01-06 21:10:45 EST
Created attachment 290929 [details]
this prints ok
Comment 7 Nikos Charonitakis 2008-01-07 18:28:54 EST
A) firefox downloaded from http://www.mozilla.com/en-US/firefox/ prints greek fine.
B) fedora 7 (fully updated) also problematic
Comment 8 Matěj Cepl 2008-02-21 17:35:02 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 9 Matěj Cepl 2008-02-21 17:36:25 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 10 Nikos Charonitakis 2008-02-21 17:58:01 EST
we will see. Can i install f3 from devel repo in parallel with firefox2? Or i
have to try Fedora 9
Comment 11 Matěj Cepl 2008-02-21 18:11:58 EST
Probably the most secure thing is to try with the upstream binary if you want to
stay with Fedora 8. The reports on usability of FF3 from Rawhide are quite
conflicting.
Comment 12 Nikos Charonitakis 2008-02-26 18:59:35 EST
well, i tried f9 alpha. Firefox cant even open. Epiphany crashs on most sites
but i managed to print succesfully in greek (at least 2 off 3 examples from
previous comments- the third crashes every time  so i cant tell).
Comment 13 Matěj Cepl 2008-02-27 02:04:55 EST
Really, the most secure thing is to download Linux binary from
http://www.mozilla.com/en-US/firefox/all-beta.html (you may need to install
compat-libstdc++-33 package to make it work) on Fedora 8. You can just unpack
the tarball to some random directory (even in $HOME) and run firefox out of that
directory (no need to uninstall firefox from the Fedora package). Firefox on
Alpha CD is really badly broken. Unfortunately, don’t even think about epiphany
(which I would love to use myself) — unless FF3 stabilizes in Rawhide, we won’t
probably do much to make epiphany work.
Comment 14 Nikos Charonitakis 2008-03-23 17:18:15 EDT
i loaded f9 alpha + updates through virtual-manager and ff3 seems happy printing
greek text.
You can close this for now ;)
Comment 15 Matěj Cepl 2008-03-25 14:20:40 EDT
thanks

Note You need to log in before you can comment on or make changes to this bug.